.svp-search {
  inset: 0;
  box-sizing: border-box;
  z-index: 10010;
  background-color: var(--env-ui-color-brand-10);
  color: var(--env-ui-color-brand-10-contrast);
  --env-font-color: var(--env-ui-color-brand-10-contrast);
  box-shadow: var(--env-box-shadow);
  width: 100vw;
  max-width: 100vw;
  margin: 0;
  padding: 0;
  border: none;
  border-radius: 0;
  overflow-x: hidden;
  overflow-y: auto;
  transition: opacity 0.2s linear;
}

.svp-search__body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 30vh;
  max-height: 100vh;
  padding: 2em 1.5em;
}

.svp-search:focus-visible {
  box-shadow: var(--env-focus-box-shadow);
  outline: var(--env-focus-outline);
  outline-offset: var(--env-focus-size);
}

.svp-search::backdrop {
  background: rgba(0, 0, 0, 0.5);
}

.svp-search .env-form {
  width: 100%;
  max-width: 48em;
  margin: 0 auto;
}

.svp-search .env-form-element__control {
  box-shadow: var(--env-box-shadow);
}

.svp-search .svp-search__close {
  --env-font-color: var(--env-ui-color-brand-10-contrast);
  position: absolute !important;
  inset: 1em 1em auto auto;
}

.svp-search ul.sv-autocomplete-search-result {
  position: fixed;
  z-index: 10011;
  box-sizing: border-box;
  background-color: var(--env-section-background-color);
  float: none;
  font-size: 1em;
  font-family: var(--env-font-family);
  border-radius: var(--env-border-radius-small);
  box-shadow: var(--env-box-shadow-small);
  padding: 0.125em 0;
  border: 1px solid var(--env-border-color);
  line-height: 1.5;
  color: var(--env-font-color);
  width: 41.75em;
  max-width: calc(100% - 9.25em);
  min-width: 272px;
}

.svp-search ul.sv-autocomplete-search-result .sv-autocomplete-result-item {
  padding: 0.5em 1em;
}

.svp-search ul.sv-autocomplete-search-result .sv-autocomplete-result-item a {
  display: block;
  color: var(--env-font-color);
  text-decoration: none;
}

.svp-search ul.sv-autocomplete-search-result .sv-autocomplete-result-item:hover, .svp-search ul.sv-autocomplete-search-result .sv-autocomplete-result-item.sv-autocomplete-result-item-active {
  background-color: var(--env-ui-color-brand-10);
}
